def main():
	import app
	import sys
	
	app.engine.createWindow(app.distro,640,480)
	app.engine.setColor(0,0,0,255)
	app.engine.clear()
	app.engine.setColor(255,0,0,255)
	mouseHeld = False
	mouseX = 0
	mouseY = 0
	mousePrevX = 0
	mousePrevY = 0
	brushX = -1
	brushY = -1
	brushSpeed = 0.05
	while True:
		for event,args,kwargs in app.engine.getEvents():
			if event == "mouse.move":
				mousePrevX = mouseX
				mousePrevY = mouseY
				mouseX = args[0]
				mouseY = args[1]
				brushX = brushX + ((mouseX - brushX) * brushSpeed)
				brushY = brushY + ((mouseY - brushY) * brushSpeed)
				
				if mouseHeld:
					app.engine.drawPixel(int(brushX),int(brushY))
				
				continue
			
			if event == "mouse.down":
				brushX = mouseX
				brushY = mouseY
				mouseHeld = True
				continue
			
			if event == "mouse.up":
				brushX = mouseX
				brushY = mouseY
				mouseHeld = False
				continue
			
			if event == "quit":
				app.engine.quit()
				sys.exit(0)
				
		app.engine.render()
		app.engine.sleep(33)
